
#!/bin/bash

interface=$1
mediaDir=$2
fileExtendRegex=$3

declare -a OCTETOSRX=()
declare -a OCTETOSTX=()

if [ -f /sys/class/net/${interface}/statistics/rx_bytes ]; then
	RX=`cat /sys/class/net/${interface}/statistics/rx_bytes`
   	TX=`cat /sys/class/net/${interface}/statistics/tx_bytes`
else
	RX=0
	TX=0
fi
if [ -z "$RX" ]; then
	RX=0
fi
if [ -z "$TX" ]; then
	TX=0
fi   
#echo "Obtendo dado inicial para a interface $i $RX $TX..."   
OCTETOSRX+=("$RX")
OCTETOSTX+=("$TX")

echo -ne "{\"interface\":"
echo -ne "{\"rx\": ${OCTETOSRX[${i}]}, \"tx\": ${OCTETOSTX[${i}]} },"

echo -ne "\"services\": \""
array=('chk=("ffmpeg" "stm:")' 'chk=("tvbus-station" "so:")' 'chk=("tvbus .*-C" "sc:")' 'chk=("tvbus .*-K" "mk:")'  'chk=("node bin/admin.js" "adm:")')

for elt in "${array[@]}"
   do
      eval $elt
      #echo ${chk[0]} ${chk[1]} ${chk[2]}
      procCnt=`ps ax | grep "${chk[0]}" | grep -v grep | wc -l`
      if [ $procCnt -gt 0 ]; then
         echo -ne "${chk[1]}$procCnt "
      fi
done
echo -ne "\","

mCnt=`ls $mediaDir -lR | grep -E "$fileExtendRegex" | grep "^-" | wc -l`
echo -ne "\"mediaCount\":\"$mCnt\","

mUsed=`du -s $mediaDir | tail -1 | awk  {'print $1'}`
echo -ne "\"mediaSize\":\"$mUsed\","

mFree=`df $mediaDir | grep -v Filesystem | tail -1 | awk  {'print $4'}`
echo -ne "\"mediaDirFree\":\"$mFree\""

echo "}"







