#!/usr/bin/dumb-init /bin/sh

LOGFILE=./var/logs/vod.log
# service nscd restart >> $LOGFILE 2>&1 &
/usr/local/nginx/sbin/nginx &


. ./var/configs/sys.conf

#monitor vod
checkvod()
{
    date=`date +%Y-%m-%d\ %H:%M:%S`
    if ps xa | grep '\./vod$' | grep -v grep
    then
        echo "$date [etime:$1] vod is working now ..." | tee -a $LOGFILE
    else
        echo "$date starting vod ..." | tee -a $LOGFILE
        exec ./vod >> $LOGFILE 2>&1 &
    fi
}

#monitor nginx
checknginx()
{
    date=`date +%Y-%m-%d\ %H:%M:%S`
    if ps xa | grep '/usr/local/nginx/sbin/nginx' | grep -v grep  > /dev/null
    then
        echo "$date [etime:$1] nginx is working now ..." | tee -a $LOGFILE
    else
        echo "$date starting nginx ..." | tee -a $LOGFILE
        exec /usr/local/nginx/sbin/nginx &
    fi
}

#monitor nginx
checkkcptun()
{

    date=`date +%Y-%m-%d\ %H:%M:%S`
    if ps xa | grep './bin/server_linux_amd64' | grep -v grep  > /dev/null
    then
        echo "$date [etime:$1] server is working now ..." | tee -a $LOGFILE
    else
        echo "$date starting server ..." | tee -a $LOGFILE
        exec ./bin/server_linux_amd64 -c ./var/configs/server.json &
    fi

}

#check log size
cleanlog()
{
    if [ `stat -c%s $LOGFILE` -gt 10000000 ] ; then
        echo "cleaning log..." | tee -a $LOGFILE
        cat /dev/null > $LOGFILE
    fi
}

cnt=0
restart_cnt=21600
interval=4
while /bin/true
do
    cnt=$((cnt+1))
    if [ "$cnt" -gt "$restart_cnt" ] ; then
        newtime=`date +%F-%H-%M-%S`
        cleanlog
        cnt=0
    fi
    checkvod $(($interval*$cnt))
    checknginx $(($interval*$cnt))
    if [ "$kcpserver" = true ]; then
        checkkcptun $(($interval*$cnt))
    fi
    sleep $interval
done
